﻿#character-images
image papyrus normal = "Character-Papyrus-Normal.png"
image papyrus bigsmile = "Character-Papyrus-BigSmile.png"
image papyrus disgust = "Character-Papyrus-disgust.png"
image papyrus frown = "Character-Papyrus-frown.png"
image papyrus nervoussmile = "Character-Papyrus-nervoussmile.png"
image papyrus reassuringsmile = "Character-Papyrus-reassuringsmile.png"
image papyrus Sad = "Character-Papyrus-Sad.png"
image papyrus sheepish = "Character-Papyrus-sheepish.png"
image papyrus shock = "Character-Papyrus-Shock.png"
image papyrus surprised = "Character-Papyrus-Surprised.png"
image papyrus suspicious = "Character-Papyrus-suspicious.png"
image papyrus unsure = "Character-Papyrus-unsure.png"
image sans normal = "sans-normal.png"
image sans glance = "sans-normal-glance.png"
image sans sad = "sans-sad.png"
image sans silhouette = "sans-shakemyhand.png"
image sans shakehand = "sans-shakemyhand2.png"

#background-images
image background snowdin = "snowdincropped.jpg"
image background papyrus_room = "Background-PapyrusRoom.jpg"
image background snowdin_bridge = "Background-Snowdin-Bridge-cropped.jpg"
image background snowdin_forest = "Background-Snowdin-Gate2.jpg"
image background papyrus_number = "Papyrus-number.png"
image background snowdin_icegolf = "Background-Snowdin-Icegolf.png"
image background snowdin_intersection = "Background-Snowdin-Intersection.png"
image background snowdin_snowman = "Background-Snowdin-Snowman.png"


#character-settings
define narration = Character(kind=nvl)
define system = Character('', color="#FFFFFF")
define papyrusChar = Character('Papyrus', color="#FFFFFF", what_prefix='{font=font/Parchment-MF.ttf}{size=40}', what_suffix='{/size}{/font}')
define xxxpapyrus = Character('xxx', color="#FFFFFF", what_prefix='{font=font/Parchment-MF.ttf}{size=40}', what_suffix='{/size}{/font}')
define xxxsans = Character('xxx', color="#FFFFFF", what_prefix='{font=font/comic.ttf}{size=20}', what_suffix='{/size}{/font}')
define sans = Character('Sans', color="#FFFFFF", what_prefix='{font=font/comic.ttf}{size=20}', what_suffix='{/size}{/font}')

#sprite positions
init:
    $ left = Position(xpos = 0.25, xanchor = 'left')
    $ center = Position(xpos = 0.5, xanchor = 'center')
    $ right = Position(xpos = 0.75, xanchor = 'right')

init python:
    # Wrapper to capitalize Papyrus' text
    def papyrus(text, *args, **kwargs):
        papyrusChar(text, *args, **kwargs)

#default-font
init python:
    style.default.font = "font/DTM-Mono.otf"

#default-text-speed
#config.default_text_cps=20


label start:
    #scene-welcome
    play music "audio/Intro_1-2.mp3"
    scene background snowdin_intersection
    narration "Witamy w wersji demonstracyjnej symulatora InLOVE Undertale Dating! \nScenariusz testowy: Dane z Papyrusem."
    $ papyrus_love = 0
    $ sans_love = 0
    
    #game intro
    "Słyszysz za sobą odgłos łamanej gałęzi, ale kiedy się odwracasz..."
    #background changes to player facing Giant Door
    show background snowdin_forest
    with dissolve
    "... nikogo nie ma."
    show background snowdin_intersection
    with dissolve
    "..."
    "..."
    #background changes back to dark forest 
    #crunching snow sound effect
    show sans silhouette
    show background snowdin_forest
    with dissolve
    xxxsans "hej, dzieciaku, przywitasz się ze mną?"
    #background changes to giant door
    
    menu:
        "Podaj rękę":
            xxxsans "co, niespodziewane uczucie deja vu, prawda? no cóż, ta sztuczka nigdy się nie zestarzeje."
            show sans shakehand
            with dissolve
            sans "jestem bez, bez szkieletu."
        "Nie podawaj ręki":
            xxxsans "co to za chłodne traktowanie, hę?"
            #Sprite Change: looks away
            xxxsans "w porządku, możemy przejść od razu do rzeczy."
            show sans shakehand
            with dissolve
            sans "jestem bez, bez szkieletu."
    
    sans "to miło z twojej strony, {font=font/comicbd.ttf}{color=#FFFF00}że wpadasz{/color}{/font}. od lat nie widzieliśmy upadłego człowieka."
    sans "ale wygląda na to, że zostaniesz tu przez jakiś czas, więc równie dobrze mógłbym cię oprowadzić. zabiorę cię do miasta przed nami."
    sans "oh the bars? my bro set them up ages ago, though I don't think they ever managed to stop anyone since he made them too wide. just go right through."
    sans "never took them down because, well, Papyrus left me in charge of that. just consider them welcome {font=font/comicbd.ttf}{color=#FFFF00}bar{/color}{/font}-nners"
    sans "anyway, my bro should be here soon. he’s pretty fond of humans, the other mon-"
    #papyrus is not yet on screen
    xxxpapyrus "Sans!! There you are!"
    sans "hold up a second, can ya stand by this lamp for me? just stand right next to it. there ya go."
    #papyrus sprite enters the scene
    show sans normal at left
    show papyrus frown at right
    with moveinleft
    xxxpapyrus "SANS! Why aren’t you at your station?! Just because we are no longer hunting humans does not mean you can slack off!!"
    xxxpapyrus "It is our job to make sure they receive the BEST welcome to the underground! We monsters must make a good first impression!"
    sans "well, i found a human."
    show papyrus suspicious
    with dissolve
    xxxpapyrus "Sans, I have no time for your pranks!"
    sans "heh, you caught me."
    sans "but hey, what's that over there?"
    xxxpapyrus "..."
    xxxpapyrus "IS THAT A HUMAN?!"
    sans "no that's a lamp."
    xxxpapyrus "OH..... okay? What about the lamp?"
    sans "what's that next to the lamp, bro?"
    show papyrus shock
    with dissolve
    xxxpapyrus "Is that a human?"
    sans "yeah."
    xxxpapyrus "A HUMAN?! I KNEW IT!"
    show papyrus bigsmile
    with dissolve
    xxxpapyrus "Welcome to the Underground, Human!"
    play music "audio/Nyeh_Heh_Heh.mp3"
    papyrus "Let me introduce myself! I am The Great Papyrus, sentry of Snowdin, and soon-to-be member of the Royal Guard!" 
    papyrus "You’re very lucky to have met me before my strike of fame."
    papyrus "But I am sure you are curious about this new place, correct?"
    papyrus "I shall give you the tour of Snowdin and make sure you see the best places to set up puzzles."
    papyrus "Come with me, Human!"
    
    menu:
        "Okay.":
            papyrus "Well, hurry up, Human! No dragging your feet like my lazy brother!"
        "I'd be honored to. *wink*":
            $ papyrus_love += 1
            #papyrus sprite change: unsure
            show papyrus unsure
            with dissolve
            papyrus "What was that, Human? Do you have something in your eye?"
        "I was looking forward to getting to know your cute brother, though.":
            $ sans_love += 1
            #papyrus disappears, sans centered
            hide papyrus bigsmile
            with moveoutright
            
            show sans glance at center
            with moveinright
            sans "..."
            show sans glance
            with dissolve
            sans "you're one strange human."
            sans "..."
            show sans normal
            with dissolve
            sans "welp, i'm gonna be at grillby's. don't keep my brother waiting. he's awfully excited to show ya around."
    
    hide sans normal
    with moveoutright
    
    show papyrus normal at center
    with moveinright
    
    show background snowdin_intersection
    with dissolve
  
    papyrus "Which direction would you like to go, Human?"
    
    $ loop_num = 0
    $ direction_looping = True
    while direction_looping:
        menu:
            "Wherever you're going":
                $ papyrus_love += 1
                $ wherever_north = True
                $ direction_looping = False
                #papyrus sprite change: nervous smile
                show papyrus sheepish
                with dissolve
                papyrus "I... uh... Well just follow me, then!"
            "North":
                $ wherever_north = True
                $ direction_looping = False
            
            "West":
                $ direction_looping = True
                $ wherever_north = False
                $ loop_num += 1
                if loop_num == 1:
                    papyrus "Silly Human, we just came from that direction!"
                    papyrus "So which direction should we go?"
                elif loop_num == 2:
                    papyrus "We were just there, Human! Why do you wish to go back?"
                elif loop_num == 3:
                    #papyrus sprite change: suspicious
                    show papyrus suspicious
                    with dissolve
                    papyrus "Oh, if you insist!"
                    #background is scary forest scene
                    show background snowdin_forest
                    with dissolve
                    papyrus "See, Human? Nothing more to see here. Now, let's go back."
                    #intersection background
                    show background snowdin_bridge
                    with dissolve
                elif loop_num == 5:
                    #Sprite change: unsure
                    show papyrus unsure
                    with dissolve
                    papyrus "Do you not wish to continue?"
                elif loop_num == 15:
                    #Sprite change: suspicious
                    show papyrus suspicious
                    with dissolve
                    papyrus "Human, I do not understand where you are going with this."
                elif loop_num == 30:
                    #Sprite change: suspicious
                    papyrus "Human."
                elif loop_num == 60:
                    #Sprite change: suspicious
                    papyrus "How long are you going to keep at this...?"
                elif loop_num == 99:
                    #Sprite change: suspicious
                    $ papyrus_love -= 1
                    $ sans_love += 1
                    papyrus "Is this some kind of joke, Human?"
                    papyrus "It seems you and my brother share the same awful sense of humor."
                elif loop_num == 100:
                    $ wherever_north = True
                    $ direction_looping = False
                    papyrus "Nope, that is all I am taking, Human."
                    papyrus "I will decide for us since you cannot, let me show you where the northern path leads."
                else:
                    #The in between numbers
                    papyrus "..."
            
            "East":
                $ wherever_north = False
                $ direction_looping = False
                papyrus "Straight to Snowdin, then! Nyeh heh heh!"
            
    if wherever_north == True:
        show papyrus normal at right
        with moveinright
        
        show background snowdin_snowman
        with dissolve
        papyrus "This is a talking snowman, Human. My brother says I should not speak to him. The snowman can be a bit... odd."
        
        menu:
            "Don't worry, I'll protect you, cutie.":
                $ papyrus_love += 1
                papyrus "C-Cute?"
                #Sprite Change: nervous
                show papyrus sheepish
                with dissolve
                papyrus "Wowie!"
                #Sprite Change: big smile
                show papyrus bigsmile
                with dissolve
                papyrus "But it is I who will be protecting you, Human! It is my job, which I am very good at. I am going to be a royal guardsman, after all!"
                papyrus "Now! Let us go back!"
                show papyrus normal
                with dissolve
            "Sans may be right...":
                papyrus "I agree! Sans may be lazy, but he is right about most things. Now that you know the areas to avoid, let us go back."
            "I'm sure he's fine!":
                papyrus "No, no, Human. I promised I would give you a tour, but I will not put you in harm's way. Let us go back."
                
    #Slippery Ice Background
    show background snowdin_icegolf
    with dissolve
    show papyrus normal at center
    with moveinleft
    papyrus "Careful, Human! This ice can be rather slippery. You do not want to-"
    with vpunch
    #Enlarge Papyrus sprite, zoom into chest, then zoom out
    papyrus "Are you alright?"
    menu:
        "Sorry. I couldn't help FALLING for you.":
            $ papyrus_love += 1
            #Sprite Change: papyrus blush
            papyrus "UGH! It seems my brother is already rubbing off on you!"
            papyrus "However, I am glad you feel well enough to make bad jokes."
            with zoomout
            papyrus "Come on now, we are nearly to Snowdin!"
        "Yes, thank you.":
            papyrus "Good! You really ought to be more careful! What if no one was here to catch you?"
            papyrus "Come on now, we are nearly to Snowdin."
    
    #snowdin background
    show background snowdin
    with dissolve
    papyrus "We have reached our destination at last! What would you care to do, Human?"
    menu:
        "Talk (Not included in Demo)":
            jump notincluded
        "Gift (Not included in Demo)":
            jump notincluded
        "Hang Out (Not included in Demo)":
            jump notincluded
        "Ask on Date":
            if papyrus_love >= 3:
                jump date_transition
            else:
                hide papyrus normal
                "You have not bonded enough with the Great Papyrus to date him, but that is perfectly fine!"
                "However, that does mean the end of the game demonstration."
                papyrus "I hope to see you in the full game, Human!"
                return
                    
label date_transition:
    #scene: Snowdin
    play music "audio/date_start!.mp3"

    papyrus "Oh, alright, Human! You have charmed I, the Great Papyrus, enough to get what you wish. A date!"
    papyrus "Well, where would you like to go?"
    menu:
        "Waterfall (Not included in Demo)":
            jump notincluded
        "Your Room":
            "Papyrus leads you to his house."
            jump papyrusroom
        "Snowdin (Not included in Demo)":
            jump notincluded

label papyrusroom:
    #scene: papyrus's room
    scene background papyrus_room
    with dissolve

    show papyrus normal
    with dissolve
    
    papyrus "Well, this is it! If you are ready, maybe we can go in and do whatever people do at dates?"

    #This is a choice for now, but the writers want it to be point and click
    $ papyrusroom_looping = True
    while papyrusroom_looping:
        menu:
            "Check Computer":
                papyrus "The Internet! I'm quite popular there! I am a dozen away from a double-digit follower count!"
            "Check Closet":
                papyrus "What? It's not like I have skeletons hanging in my closet!"

        papyrus "So, are you ready to start the date?"
        menu:
            "Yes":
                papyrus "Great!"
                $ papyrusroom_looping = False
            "No":
                papyrus "Okay! Just let me know when you are ready, Human!"
    jump startdate

label startdate:
    "Dating... Start!"
    papyrus "So, here we are, on our date."
    papyrus "Actually, I have never done this before"
    #Sprite change: nervous glance
    show papyrus nervoussmile
    with dissolve
    papyrus "But, you can't spell prepared without several letters from my name."
    #Sprite change: reassuring smile/thumbs up
    show papyrus reassuringsmile
    with dissolve
    papyrus "I actually brought a date rulebook from the library. We are ready to have a great time!"
    #Sprite change:
    #papyrus "Let's see, press C for the dating HUD."
    #Dating menu appears
    #papyrus "I feel so informed!"
    papyrus "Ahem! Human! I, The Great Papyrus, will go on a date with you!"
    menu:
        "Okay!":
            $ papyrus_love += 1
            papyrus "WOWIE!"
            #Sprite change: big smile
            show papyrus bigsmile
            with dissolve
            papyrus "That means we are ready for phase two!"
            jump continuedate
        "Uh...":
            #papyrus_love does not change
            papyrus "Oh, don't get all shy now! Nyeh. Don't worry, I'll use the book to make sure this date is splendid, no matter what lack of dating experience you have!"
            #Sprite change: thumbs up
            show papyrus bigsmile
            with dissolve
            jump continuedate

label continuedate:
    show papyrus normal
    with dissolve
    papyrus "Let's see. Phase two. Put on nice clothes to show you care."
    #Player equipment menu appears
    #Include tutorial on how to equip clothing to make the player more appealing to cetain monsters
    papyrus "Wait a minute..."
    stop music
    #add dialogue "That [insert clothing....]"
    papyrus "You are also wearing clothing right now! In fact! Earlier today, we were also wearing clothing!"
    papyrus "Oh no! Could it be? You have wanted to date me from the very beginning?!"
    papyrus "You are way better at dating than I am! Your dating power.....!"
    $ papyrus_love += 1
    play music "audio/date_start!.mp3"
    papyrus "Nyeh! Don't think you bested me yet! But I won't be beaten at dating!"
    jump question1

    label question1:
    papyrus "Okay!! In the manual, it says to get to know your partner. So, I, THE GREAT PAPYRUS shall ask you an easy question."
    papyrus "What's your favorite dish?"
    $ papyrus_food = ''
    menu:
        "Spaghetti":
            $ papyrus_love += 3
            $ papyrus_food = 'spaghetti'
            papyrus "Wowie!"
            #Sprite Change: big smile
            show papyrus bigsmile
            with dissolve
            papyrus "That happens to be my favorite as well!"
            jump question2
        "Pizza":
            $ papyrus_love -= 1
            $ papyrus_food = 'pizza'
            papyrus "You're just like my brother... always after that disgustingly greasy food."
            #Sprite Change: disgusted face
            show papyrus disgust
            with dissolve
            jump question2
        "Broccoli":
            #papyrus_love does not change
            $ papyrus_food = 'broccoli'
            papyrus "Broccoli, eh? At least you're trying to eat healthy, unlike my brother Sans..."
            #Sprite Change: shift eyes
            show papyrus frown
            with dissolve
            jump question2

label question2:
    if papyrus_food == 'spaghetti':
        #Sprite Change: big smile
        papyrus "Impressive! But how do you feel about..."
        #Sprite Change: squints
        show papyrus unsure
        with dissolve
        papyrus "... puns?"
        menu:
            "Aren't they punderful?":
                $ papyrus_love -= 2
                $ papyrus_puns = True
                #Sprite Change: wide eyes/shock
                show papyrus shock
                with dissolve
                papyrus "You're pulling my leg, right?"
            "No... just, no.":
                $ papyrus_love += 3
                $ papyrus_puns = False
                papyrus "Wowie! Something else we can agree on! Nyeh heh heh!"
    elif papyrus_food == 'pizza':
        papyrus "Well, THE GREAT PAPYRUS is merciful, so I'll give you another opportunity. How do you feel about..."
        #Sprite Change: squints
        show papyrus unsure
        with dissolve
        papyrus "... puns?"
        menu:
            "Aren't they punderful?":
                $ papyrus_love -= 2
                $ papyrus_puns = True
                papyrus "MOVING ON..."
                #Sprite Change: annoyed
                show papyrus suspicious
                with dissolve
            "No... just, no.":
                $ papyrus_love += 3
                $ papyrus_puns = False
                papyrus "Something we can agree on!"
    else:
        #if broccoli is true
        papyrus "You're not doing so bad! But how do you feel about..."
        #Sprite Change: squints
        show papyrus unsure
        with dissolve
        papyrus "... puns?"
        menu:
            "Aren't they punderful?":
                $ papyrus_love -= 2
                $ papyrus_puns = True
                papyrus "Uh..."
                #Sprite Change: slightly annoyed
                show papyrus frown
                with dissolve
                papyrus "Gosh... Maybe I can let that slide..."
            "No... just, no.":
                $ papyrus_love += 3
                $ papyrus_puns = False
                papyrus "We can agree on something, then!"
    jump question3

label question3:
    papyrus "But two questions aren’t enough to accurately get to know someone!"
    papyrus "The book also mentions a few things about a chosen partners’ relationship with ones family."
    papyrus "Hm..."
    papyrus "So, Human, what do you think about my brother, Sans?"
    menu:
        "Sans is cool":
            $ papyrus_love += 2
            $ papyrus_sanscool = True
            if papyrus_food == 'spaghetti':
                if papyrus_puns:
                    # Sprite change: large smile
                    show papyrus bigsmile
                    with dissolve
                    papyrus "You have redeemed yourself, Human!"
                else:
                    # Sprite change: shocked
                    show papyrus shock
                    with dissolve
                    papyrus "WOWIE! He is, right?"

                    papyrus "But not as cool as me, THE GREAT PAPYRUS! I'm the coolest! Nyeh heh heh!"
            elif papyrus_food == 'pizza':
                if papyrus_puns:
                    papyrus "He is, right?"
                    # Sprite change: Looks away
                    show papyrus frown
                    with dissolve
                    papyrus "However, you're starting to sound more and more like my brother..."
                else:
                    # Sprite change: Thinking
                    papyrus "Hmmm, two out of three..."
                    # Sprite change: smile
                    show papyrus normal
                    with dissolve
                    papyrus "Not bad!"
            else:
                # Broccoli
                if papyrus_puns:
                    # Sprite change: Happy
                    show papyrus normal
                    with dissolve
                    papyrus "Well, human! You hit the nail on the head with this one!"
                else:
                    # Sprite change: Solemn
                    show papyrus frown
                    with dissolve
                    papyrus "Yes, exactly! Sans is very cool."
                    # Sprite change: Squint
                    papyrus "In fact, he would be cooler if he stopped his infernal punfest. He finds it punderful, but it just rattles my bones!"
                    # Sprite change: Shock
                    show papyrus shock
                    with dissolve
                    papyrus "IT'S TOO MUCH! I CAN'T HANDLE IT!!!"

        "Sans is uncool":
            $ papyrus_love -= 5
            $ papyrus_sanscool = False
            if papyrus_food == 'spaghetti':
                if papyrus_puns:
                    # Sprite change: sheepish look
                    show papyrus sheepish
                    with dissolve
                    papyrus "Eh... Things are beginning to take a turn for the worst..."
                else:
                    # Sprite change: disappointed
                    show papyrus unsure
                    with dissolve
                    papyrus "Hmm, I would have to disagree with you there."
            elif papyrus_food == 'pizza':
                if papyrus_puns:
                    # Sprite change: disappointed
                    show papyrus Sad
                    with dissolve
                    papyrus "Things aren't looking so good for us, Human..."
                else:
                    # Sprite change: shock
                    show papyrus shock
                    with dissolve
                    papyrus "Sans is totally cool! Y-You just haven't become good friends yet!"
                    # Sprite change: nervous
                    show papyrus nervoussmile
                    with dissolve
                    papyrus "Things aren't turning out the way the book mentioned at all..."
            else:
                # Broccoli
                if papyrus_puns:
                    # Sprite change: sad
                    show papyrus Sad
                    with dissolve
                    papyrus "..."
                    papyrus "..."
                    papyrus "..."
                    papyrus "Yeah..."
                    papyrus "Let's skip to the next question..."
                else:
                    # Sprite change: disappointed
                    show papyrus unsure
                    with dissolve
                    papyrus "Our date started okay, but now..."

    jump question4

label question4:
    show papyrus nervoussmile
    with dissolve
    papyrus "Okay! Prepare yourself for the most important question of all!"
    papyrus "Do you like... Er..."
    # Sprite change: raise eyebrow
    papyrus "Puzzles?"
    menu:
        "Puzzles are GREAT!":
            $ papyrus_love += 5
            if papyrus_food == 'spaghetti':
                if papyrus_puns:
                    if papyrus_sanscool:
                        # Sprite change: smile
                        show papyrus normal
                        with dissolve
                        papyrus "I was afraid we had hit a bump there, but this date is going GREAT now!"
                    else:
                        # Sprite change: smile
                        show papyrus normal
                        with dissolve
                        papyrus "Well, you may have good taste after all!!"
                else:
                    if papyrus_sanscool:
                        # Sprite change: huge smile
                        show papyrus bigsmile
                        with dissolve
                        papyrus "They truly are! Wow, we have so much in common."
                        # Sprite change: slight blush
                        show papyrus reassuringsmile
                        with dissolve
                        papyrus "Human, you're managing to charm I, THE GREAT PAPYRUS."
                    else:
                        # Sprite change: smile
                        show papyrus normal
                        with dissolve
                        papyrus "Well you have redeemed yourself with that!"
                        papyrus "Maybe we can go and make some puzzles together another day!"
            elif papyrus_food == 'pizza':
                if papyrus_puns:
                    if papyrus_sanscool:
                        # Sprite change: big smile
                        show papyrus bigsmile
                        with dissolve
                        papyrus "Well, at least we agree on the important things. Right, Human?"
                    else:
                        # Sprite change: disappointed
                        show papyrus Sad
                        with dissolve
                        papyrus "You know..."
                        papyrus "Puzzles aren't everything..."
                else:
                    if papyrus_sanscool:
                        # Sprite change: excited
                        show papyrus bigsmile
                        with dissolve
                        papyrus "We had some turbulence in the beginning, but it's clear skies now!"
                    else:
                        # Sprite change: eyes closed smile?
                        show papyrus bigsmile
                        with dissolve
                        papyrus "OH, they ARE, aren't they?! Glad to see we can agree on at least half of these questions!"
            else:
                # broccoli
                if papyrus_puns:
                    if papyrus_sanscool:
                        # Sprite change: Smile
                        show papyrus normal
                        with dissolve
                        papyrus "I must say, I am surprised by how this date ended up! You do have some good qualities after all!"
                    else:
                        papyrus "Puzzles are great indeed, I’m glad we agree on one thing!"
                else:
                    if papyrus_sanscool:
                        papyrus "I'm glad we agree on so much!"
                        # Sprite change confident smile
                        show papyrus normal
                        with dissolve
                        papyrus "Not too shabby for a first date with THE GREAT PAPYRUS, hmm?"
                    else:
                        papyrus "Oh... Well Human, let me educate you in the beauty of puzzles sometime. I’m sure you will change your mind!"
        "Puzzles stink.":
            $ papyrus_love -= 4
            if papyrus_food == 'spaghetti':
                if papyrus_puns:
                    if papyrus_sanscool:
                        # Sprite change: Thinking
                        show papyrus unsure
                        with dissolve
                        papyrus "We keep going back and forth with whether we agree or not..."
                    else:
                        # Sprite change: frown
                        show papyrus frown
                        with dissolve
                        papyrus "I think I should stop you before this takes a turn for the worst."
                else:
                    if papyrus_sanscool:
                        # Sprite change: surprise then disappointment
                        show papyrus shock
                        with dissolve
                        papyrus "Oh, how can you say that?? Well, I think you have to make some puzzles with me, THE GREAT PAPYRUS!"
                        papyrus "I'm sure you'll love them then!"
                    else:
                        # Sprite change: shocked
                        show papyrus shock
                        with dissolve
                        papyrus "What?! Puzzles are the best!"
                        # Sprite change: disappointed
                        show papyrus Sad
                        with dissolve
                        papyrus "We had such a good start, but now..."
            elif papyrus_food == 'pizza':
                if papyrus_puns:
                    if papyrus_sanscool:
                        # Sprite change: disgust
                        show papyrus disgust
                        with dissolve
                        papyrus "Puzzles are AMAZING."
                        # Sprite change: cheeky smile
                        show papyrus normal
                        with dissolve
                        papyrus "At least you have good taste in monsters."
                    else:
                        # Sprite change: sweating
                        show papyrus nervoussmile
                        with dissolve
                        papyrus "This is..."
                        papyrus "Uh..."
                        papyrus "Well, we don't agree on much, do we?"
                        # Sprite change: frown
                        show papyrus frown
                        with dissolve
                        papyrus "This book isn't as much help as I thought it would be."
                else:
                    if papyrus_sanscool:
                        # Sprite change: disbelief
                        show papyrus shock
                        with dissolve
                        papyrus "You..."
                        papyrus "Hate puzzles?"
                        papyrus "Oh..."
                        # Sprite change: looks down
                        show papyrus unsure
                        with dissolve
                        papyrus "I, uh... well, at least we can agree on some things, Human..."
                        papyrus "Maybe we can reach a compromise."
                    else:
                        # Sprite change: disappointed
                        show papyrus Sad
                        with dissolve
                        papyrus "I guess I shouldn't be surprised you don't like puzzles..."

            else:
                # broccoli
                if papyrus_puns:
                    if papyrus_sanscool:
                        papyrus "Well at least we can agree that Sans is cool..."
                        # Sprite change: Confident smile
                        show papyrus normal
                        with dissolve
                        papyrus "But puzzles are the holy grail of all that is coolness and Papyrus"
                    else:
                        # Sprite change: look away
                        show papyrus unsure
                        with dissolve
                        papyrus "Ah..."
                        papyrus "Well human..."
                        papyrus "Your only half-decent quality is your choice of vegetable..."
                else:
                    if papyrus_sanscool:
                        papyrus "Oh..."
                        papyrus "Well Human, let me educate you on the beauty of puzzles sometime."
                        papyrus "I'm sure you will change your mind."
                    else:
                        # Sprite change: looks away
                        papyrus "Oh..."
                        # Sprite change: hopeful smile
                        show papyrus reassuringsmile
                        with dissolve
                        papyrus "Really?"
                        papyrus "Well, human, we don't have anything in common at this moment! But we can still get along, right?"
                        
    show papyrus normal
    with dissolve
    papyrus "Well, those are all of the questions I can come up with at the moment to test if we have any similarities."
    papyrus "Let me check what what the book says about our compatibility based on these questions…"
    papyrus "Hmm."
    papyrus "Alright, I got it!"
    jump afterdate

label afterdate:

    show papyrus normal

    papyrus "IT’S CLEAR NOW. AFTER ALL OF THESE QUESTIONS AND THE BOOK’S SUGGESTIONS..."
    papyrus "HUMAN, IT’S TIME FOR ME TO CONFESS, THAT I...."

    if papyrus_love >= 12:
        # Sprite change: nervous smile
        show papyrus nervoussmile
        with dissolve
        papyrus "I... I actually..."
        # Sprite change: nervous smile + sweating
        papyrus "Boy, is it getting hot in here or is it just me?"
        # Sprite change: wide eyes
        papyrus "UH, I just realized I have to go! Yes, I am supposed to be on patrol right now!"
        # Sprite change: blushing
        hide papyrus nervoussmile
        show background papyrus_number
        with dissolve
        papyrus "Here, I will give you my phone number. Just call me whenever you need my help or anything!"
        # Sprite change: nervous smile
        papyrus "Later, Human!"
    elif papyrus_love >= 2:
        # Sprite change: neutral
        show papyrus normal
        with dissolve
        papyrus "I'm confused by the book's text here. It says we are somewhat compatible..."
        papyrus "What does that mean?"
        papyrus "We seem to agree and disagree equally... Hmm..."
        papyrus "I guess it's too early to decide this right now!"
        papyrus "Here, take my phone number and maybe we can discuss this later!"
        papyrus "See you later, Human!"
    else:
        # 1 or less
        papyrus "I... um..."
        papyrus "Shoot..."
        # Sprite change: feels bad?
        show papyrus nervoussmile
        with dissolve
        papyrus "I am sorry. I don't like you the way you like me."
        # Sprite change: sad
        show papyrus Sad
        with dissolve
        papyrus "Romantically, I mean."
        papyrus "I mean! I tried very hard to."
        # Sprite change: looks away
        papyrus "I had thought that since you flirted with me I had to go on a date with you..."
        papyrus "I thought by dating ou, maybe feelings would blossom forth, but alas, I still feel the same as before."
        papyrus "Sorry, human. But we can still be friends!"
        # Sprite change: smile
        show papyrus normal
        with dissolve
        papyrus "Great friends!"
        # Sprite change: confident smile
        papyrus "In fact, I'll help you on your heart's journey for love!"
        papyrus "Here, take my phone number."
        papyrus "Just call if you ever need any help, dating advice, anything!"
        papyrus "I'll always be here for you!"
        papyrus "...Platonically."

label notincluded:
    hide papyrus normal

    system "The Demo ends here, thanks for playing!"
    system "Stay determined..."
